Subject: error in draft 07, section 5.1 ?

From: Werner Koch <[email-masked]>
Date: Tue, 29 Sep 1998 21:07:55 +0200

While checking GNUPG's OpenPGP compliance I detected this:

From section 5.1:

> algorithm used to encrypt the following Symmetrically Encrypted Data
> Packet.  Then a two-octet checksum is appended which is equal to the
> sum of the preceding octets, including the algorithm identifier and
> session key, modulo 65536.   algorithm used to encrypt the following

I don't see that the algorithm identifier is included in the checksum.
Both, gnupg and opgpg 0.99x, don't include the algorithm in the
checksum and interoperation with pgp 5.x is okay.

Maybe I'm blind, but ...

BTW, as far as I can see, gnupg 0.4.1 (will be released soon) is in
compliance with the draft.

  Werner